Bug 1898086 - micropipenv fails to build with Python 3.10: Regex pattern Python version \d.\d
Summary: micropipenv fails to build with Python 3.10: Regex pattern Python version \d.\d
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: micropipenv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-16 10:48 UTC by Miro Hrončok
Modified: 2020-12-27 06:57 UTC (History)
3 users (show)

Fixed In Version: micropipenv-1.0.2-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-27 06:57:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github thoth-station micropipenv pull 141 0 None closed Support Python versions with multiple digits 2020-12-27 06:55:56 UTC

Description Miro Hrončok 2020-11-16 10:48:13 UTC
micropipenv fails to build with Python 3.10.0a2.

___________________ test_install_pipenv_deploy_error_python ____________________

...
E                   micropipenv.PythonVersionMismatch: Running Python version 3.10, but Pipfile.lock requires Python version 5.9

...
E               AssertionError: Regex pattern 'Running Python version \\d.\\d, but Pipfile.lock requires Python version 5.9' does not match 'Running Python version 3.10, but Pipfile.lock requires Python version 5.9'.

tests/test_micropipenv.py:357: AssertionError



This has been fixed upstream:
https://github.com/thoth-station/micropipenv/pull/141

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01767031-micropipenv/

For all our attempts to build micropipenv with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/micropipenv/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.


micropipenv seem to have no dependent packages, so we don't need to rush a backport. I've opened this for tracking purposes.

Comment 1 Tomáš Hrnčiar 2020-11-18 09:22:29 UTC
With upstream's patch micropipenv builds allright in our Copr. 

https://copr.fedorainfracloud.org/coprs/g/python/python3.10/build/1772745/


Note You need to log in before you can comment on or make changes to this bug.